# Add users to group

`POST /workspaces/:workspace/groups/:group_id/members`

Adds a user to the group

**Required Scopes:** `WORKSPACE`

## URL Parameters

```typescript
interface URLParameters {
  /** The human-readable ID of the workspace */
  workspace: string; // Example: "my-company"
  /** The ID of the group */
  group_id: number; // Example: 123
}
```

## Body Parameters

```typescript
interface BodyParameters {
  /** The ID of the user */
  id: number;
  /** The status of the group member */
  status?: "MEMBER" | "MANAGER";
}
```

## Response Body

```typescript
interface ResponseBody {
  /** API endpoint to GET this object */
  url?: string;
  /** Web URL to view this object in Buddy.works */
  html_url?: string;
  /** The ID of the user */
  id?: number;
  /** The name of the user */
  name?: string;
  /** The avatar URL of the user */
  avatar_url?: string;
  /** The email address of the user */
  email?: string;
  /** Whether the user has admin privileges */
  admin?: boolean;
  /** Whether the user is workspace owner */
  workspace_owner?: boolean;
  /** The status of the group member */
  status?: "MEMBER" | "MANAGER";
}
```

## Request Example

```bash
curl -X POST "https://api.buddy.works/workspaces/:workspace/groups/:group_id/members" \
  -H "Authorization: Bearer <YOUR-TOKEN>" \
  -H "Content-Type: application/json" \
  -d '{
  "id": 216,
  "status": "MEMBER"
}'
```

## Response Example

**Status:** `200 OK`

```json
{
  "url": "https://api.buddy.works/workspaces/my-workspace/groups/123/members/216",
  "html_url": "https://app.buddy.works/my-workspace/-/profile/216",
  "id": 216,
  "name": "John Doe",
  "avatar_url": "https://app.buddy.works/image-server/user/0/0/0/0/2/1/6/avatar.png",
  "email": "john.doe@example.com",
  "admin": false,
  "workspace_owner": false,
  "status": "MEMBER"
}
```

---
Original source: https://buddy.works/docs/api/platform/groups/add